Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class ImageMapDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.ImageMapDefinition

All Implemented Interfaces:
  org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class ImageMapDefinition
extends AbstractWidgetDefinition

The `WidgetDefinition` part of an ImageMap widget, see `ImageMap` for more information.

Since:
  2.1.8
Version:
  $Id: ImageMapDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`ImageMapDefinition()`

Method Summary
`void` | `addActionListener(ActionListener listener)`
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `fireActionEvent(ActionEvent event)`
`String` | `getActionCommand()`
`String` | `getImageURI()`
`boolean` | `hasActionListeners()`
`void` | `setActionCommand(String actionCommand)`
`void` | `setImageURI(String newImgURI)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkCompleteness, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, initializeFrom, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageMapDefinition

    public ImageMapDefinition()

Method Detail

### setActionCommand

    public void setActionCommand(String actionCommand)

### getActionCommand

    public String getActionCommand()

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### addActionListener

    public void addActionListener(ActionListener listener)

### fireActionEvent

    public void fireActionEvent(ActionEvent event)

### hasActionListeners

    public boolean hasActionListeners()

### getImageURI

    public String getImageURI()

### setImageURI

    public void setImageURI(String newImgURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.